<template>
  <svg width="48px" height="48px" viewBox="0 0 48 48" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" class="global-language-icon" focusable="false" aria-hidden="true">
    <defs>
      <path d="M33.952,24.6574545 C34.5585455,23.3512727 34.9309091,21.952 35.024,20.4596364 L30.8727273,20.4596364 C30.8261818,21.9985455 30.5934545,23.3978182 30.2661818,24.6574545 L33.952,24.6574545 Z M35.072,18.7810909 C34.9789091,17.2887273 34.6050909,15.8894545 34,14.5832727 L30.2690909,14.5832727 C30.5949091,15.8429091 30.8290909,17.2421818 30.9221818,18.7810909 L35.072,18.7810909 Z M24.2036364,26.336 L24.2036364,31.1389091 C24.9498182,30.5789091 26.6749091,29.0865455 27.888,26.336 L24.2036364,26.336 Z M29.6610909,26.336 C28.9149091,28.2007273 27.936,29.6930909 27.0487273,30.72 C29.4734545,29.8807273 31.5258182,28.3883636 32.9716364,26.336 L29.6610909,26.336 Z M33.0181818,12.9047273 C31.6189091,10.8523636 29.5665455,9.31345455 27.1883636,8.47418182 C28.0276364,9.54618182 29.0065455,10.992 29.7527273,12.9047273 L33.0181818,12.9047273 Z M28.5410909,14.5832727 L24.2036364,14.5832727 L24.2036364,18.7810909 L29.2407273,18.7810909 C29.1476364,17.1956364 28.9149091,15.7963636 28.5410909,14.5832727 Z M24.2036364,20.4596364 L24.2036364,24.6574545 L28.5410909,24.6574545 C28.9134545,23.4443636 29.1476364,22.0450909 29.1941818,20.4596364 L24.2036364,20.4596364 Z M27.888,12.8581818 C27.5156364,11.8327273 26.9556364,10.9934545 26.4887273,10.2938182 C25.7890909,9.36145455 25.0894545,8.70836364 24.576,8.288 C24.4829091,8.14836364 24.3432727,8.10181818 24.2036364,8.00872727 L24.2036364,12.8596364 L27.888,12.8596364 L27.888,12.8581818 Z M18.8407273,12.8581818 L22.5716364,12.8581818 L22.5716364,8.05527273 C21.7789091,8.61527273 20.0538182,10.1541818 18.8407273,12.8581818 Z M17.0676364,12.8581818 C17.7672727,10.9934545 18.7927273,9.49963636 19.68,8.47418182 C17.2552727,9.26690909 15.2029091,10.8523636 13.7570909,12.8581818 L17.0676364,12.8581818 Z M15.8094545,20.4130909 L11.6581818,20.4130909 C11.7512727,21.9054545 12.1250909,23.3512727 12.7301818,24.6109091 L16.4145455,24.6109091 C16.0887273,23.3512727 15.9010909,21.9985455 15.808,20.4130909 L15.8094545,20.4130909 Z M16.4625455,14.5367273 L12.7781818,14.5367273 C12.1716364,15.8429091 11.7992727,17.2421818 11.6581818,18.7345455 L15.856,18.7345455 C15.9490909,17.1956364 16.1352727,15.7963636 16.4625455,14.5367273 Z M2,32 C2,34.3830151 3.96021303,36 6,36 L18,36 L34,46 L34,36 L42,36 C44.1878371,36 46,34.2250264 46,32 L46,6 C46,3.8916156 44.0954424,2 42,2 L6.18181818,2 C4.07513426,2 2,4.07343378 2,6.18181818 L2,32 Z M9.97963636,19.5738182 C9.97963636,12.1585455 15.9956364,6.14254545 23.4109091,6.18909091 C30.8261818,6.18909091 36.7956364,12.2050909 36.7490909,19.6203636 C36.7490909,27.0356364 30.7330909,33.0516364 23.3178182,33.0050909 C15.9025455,33.0050909 9.93309091,26.9890909 9.97963636,19.5738182 Z M13.712,26.2894545 C15.1578182,28.3418182 17.2101818,29.8807273 19.5883636,30.72 C18.7025455,29.648 17.7221818,28.2021818 17.024,26.2894545 L13.712,26.2894545 Z M18.2341818,24.6109091 L22.5250909,24.6109091 L22.5250909,20.4130909 L17.5345455,20.4130909 C17.5810909,21.9985455 17.8138182,23.3978182 18.2341818,24.6109091 Z M22.5265455,18.7345455 L22.5265455,14.5367273 L18.1890909,14.5367273 C17.8152727,15.7498182 17.6290909,17.1490909 17.536,18.7345455 L22.5265455,18.7345455 Z M20.24,28.8538182 C20.9396364,29.7396364 21.6392727,30.4392727 22.1527273,30.8596364 C22.2458182,30.9992727 22.3854545,31.0923636 22.4785455,31.1389091 L22.4785455,26.336 L18.7941818,26.336 C19.2145455,27.3149091 19.7730909,28.1541818 20.24,28.8538182 Z" id="path-5"></path>
    </defs>
    <g id="EC/Icons/General/2XL_48x48px/Icon-Generic-Lang" stroke="none" stroke-width="1">
      <mask id="mask-2">
          <use xlink:href="#path-5"></use>
      </mask>
      <use id="Mask" xlink:href="#path-5"></use>
    </g>
  </svg>
</template>

<script>
export default {
  name: 'GlobalLanguageIcon',
};
</script>

<style lang="scss" scoped>
.global-language-icon {
  width: 26px;
  height: 26px;
  
  fill: currentColor;
}
</style>
